Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 195973005: Add support for QNX Neutrino. (Closed)

Created:
5 years, 9 months ago by jungshik at Google
Modified:
5 years, 9 months ago
Reviewers:
Mark Mentovai
CC:
chromium-reviews, ctruta_blackberry.com>
Visibility:
Public.

Description

Add support for QNX Neutrino. This patch incorporates a change to source/common/putil.c fetched from upstream. In addition, it undefines 'si_value' in source/common/ucnvmbcs.c to avoid a collision with 'si_value' defined on some platforms. Patch by: Eli Fidler <efidler@blackberry.com>;, Jeff Rogers <jrogers@blackberry.com>;, Cosmin Truta <ctruta@blackberry.com>;. The original CL is at https://codereview.chromium.org/141063008/ README.chromium was slightly updated to refer to the upstream change for si_value. TBR=mark@chromium.org BUG=NONE TEST=icu is built properly on qnx. After DEPS roll, net_unittests:*IDN* and base_unittests:*String* all pass on qnx. Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=257503

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+121 lines, -13 lines) Patch
M README.chromium View 2 chunks +12 lines, -1 line 0 comments Download
M icu.gyp View 1 3 chunks +15 lines, -4 lines 1 comment Download
A patches/platform.qnx.patch View 1 chunk +35 lines, -0 lines 0 comments Download
A patches/si_value.undef.patch View 1 chunk +14 lines, -0 lines 0 comments Download
A patches/xopen_source.patch View 1 chunk +28 lines, -0 lines 0 comments Download
M source/common/putil.c View 1 chunk +10 lines, -8 lines 0 comments Download
M source/common/ucnvmbcs.c View 1 chunk +5 lines, -0 lines 0 comments Download
M source/common/unicode/ptypes.h View 1 chunk +2 lines, -0 lines 1 comment Download

Messages

Total messages: 3 (0 generated)
jungshik at Google
Committed patchset #3 manually as r257503 (presubmit successful).
5 years, 9 months ago (2014-03-17 21:59:43 UTC) #1
Mark Mentovai
https://codereview.chromium.org/195973005/diff/40001/icu.gyp File icu.gyp (right): https://codereview.chromium.org/195973005/diff/40001/icu.gyp#newcode136 icu.gyp:136: '_toolset != "host" or host_os != "mac")', { No ...
5 years, 9 months ago (2014-03-18 15:37:16 UTC) #2
jungshik at Google
5 years, 9 months ago (2014-03-18 18:28:52 UTC) #3
Message was sent while issue was closed.
On 2014/03/18 15:37:16, Mark Mentovai wrote:
> https://codereview.chromium.org/195973005/diff/40001/icu.gyp
> File icu.gyp (right):
> 
> https://codereview.chromium.org/195973005/diff/40001/icu.gyp#newcode136
> icu.gyp:136: '_toolset != "host" or host_os != "mac")', {
> No tabs.
> 
>
https://codereview.chromium.org/195973005/diff/40001/source/common/unicode/pt...
> File source/common/unicode/ptypes.h (right):
> 
>
https://codereview.chromium.org/195973005/diff/40001/source/common/unicode/pt...
> source/common/unicode/ptypes.h:38: #   include "unicode/pqnx.h"
> I don’t see this file in this change.

Ooops. Thanks a lot for catching these. (I haven't rolled DEPS, yet,
fortunately). A new CL to address them is at 
https://codereview.chromium.org/203823003

Powered by Google App Engine
This is Rietveld 408576698